<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $heure=array();
  $values=array();
  $champs=array('pac','pdc','kdy','tkk');
  $day=substr($_GET['datetime'],0,10);
  $sql="SELECT 
	      ROUND(DATE_FORMAT(monitor_date,'%H%i'),0) AS md,
              ROUND(AVG(pac),0) AS pac,
              ROUND(AVG(pdc),0) AS pdc,
              kdy, tkk FROM zzzt
	WHERE `monitor_date`
		BETWEEN '{$_GET['datetime']}:59'
		AND '{$day} 23:00:00'
	GROUP BY md ORDER BY md ASC";
  $db->query($sql);
  while ($row = $db->fetch()) {
      $prev=$row['pdc'];
      $heure[]=$day.' '.implode(':',str_split(str_pad((int)$row['md'],4,"0",STR_PAD_LEFT),2));
      $values['rendement'][]=sprintf('%.2F',$row['pac']/($row['pdc']+0.0001)*100);
      foreach($champs as $c) $values[$c][]=$row[$c];
  }
  
  $lignes=array();
  if( isset($values['pac'][0]) ) {
    for($i=0;$i<sizeof($values['pac']);$i++) {
      $lignes[]= array( 
	  'h' => $heure[$i],
	  'k' => $values['kdy'][$i]*100,
	  'a' => $values['pac'][$i],
	  'd' => $values['pdc'][$i],
	  );
    } 
  }
  
  echo json_encode($lignes);
?>
