<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

// security zone
$myFile = "../config/alea.php";
if(is_file($myFile)){
  $alea=mt_rand();
  require $myFile;
  if(!isset($_POST['password']) || $_POST['password']!=$alea)
    exit(PASSWORD);
}

require '../inverter/class_inverter.php';
session_start();// after the needed classes
$_SESSION['inverter']=new inverter($_POST['model']);
?>

<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8" >
  <link rel="shortcut icon" href="../images/inverter.png" type="image/x-png"/>
  <link rel="icon" href="../images/inverter.png" type="image/x-png"/>
  <title><?php echo APPLICATION.' - '.CONFIGURE;?></title>
</head>
<body>
  <a href=../index.php><h3><?php echo APPLICATION;?></h3></a>
<?php
  echo "<h5>".HELPCONFIG."</h5>
  <form action='2.php' method='post'>";
  if(isset($alea)) echo "<input type='hidden' name='password' value=$alea>";
  echo '<table>';
  foreach($_SESSION['inverter']->config as $key=>$config)
    echo "
        <tr>
          <td align='right'>
            ".constant($key)."
          </td>
          <td>
            <input type=text name='$key' value='$config'>
          </td>
        </tr>
        ";
   echo "
      <tr>
        <td>
          <input type='submit' value='".NEXT."'>
        </td>
      </tr>
    </table>
  </form>";
?>
</body>
</html>
