<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
?>

<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
  <link rel="shortcut icon" href="../images/inverter.png" type="image/x-png"/>
  <link rel="icon" href="../images/inverter.png" type="image/x-png"/>
  <title><?php echo APPLICATION.' - '.CONFIGURE;?></title>
</head>
<body>
  <h3><?php echo APPLICATION;?></h3>
<?php
  // create an alea file to prevent unwanted database inserts
  $myFile = "../config/alea.php";
  if(!is_file($myFile)){
    if(!isset($_POST['alea1']) || !isset($_POST['alea2']) || $_POST['alea1']=='')
      exit(PASSWORD);
    if($_POST['alea1']!=$_POST['alea2'])
      exit(ERROR_PASSWORD);
    $fh = fopen($myFile, 'w') or die("can't open file");
    $stringData = "<?php \$alea='{$_POST['alea1']}';?>";
    fwrite($fh, $stringData);
    fclose($fh);
  }

  if($_SESSION['inverter']->config['db_use']){
    $db=new db($inverter);
  
    if($db->query('SELECT * FROM zzzt')) echo DB_OK;
    else echo $db->error;
  }
  echo "
    <form action='../inverter/index.php'>
      <input type='submit' value='".NEXT."'>
    </form>";
?>
</body>
</html>
