<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

function list_models(){
global $config;
$return='';
if ($handle = opendir('../model')) {
while (false !== ($file = readdir($handle))) {
if ($file != "." && $file != ".."&& $file != ".svn") {
	$n=substr($file, 0, strrpos($file, '.'));
	if($n==$config['model']) $s=' selected ';else $s='';
	$return.="<option $s value='$n'>$n</option>";
}
}
closedir($handle);
}
return $return;
}

require '../inverter/class_inverter.php';
session_start();// after the needed classes
$_SESSION['inverter']=new inverter();
?>

<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
  <link rel="shortcut icon" href="../images/inverter.png" type="image/x-png"/>
  <link rel="icon" href="../images/inverter.png" type="image/x-png"/>
  <title><?php echo APPLICATION.' - '.CONFIGURE;?></title>
</head>
<body>
  <h3><?php echo APPLICATION;?></h3>
<?php
  echo "<h5>".HELPCONFIG."</h5>
  <form action='1.php' method='post'>
    <table>
      <tr>
        <td>
          ".SEL_INVERTER."
        </td>
        <td>
          <select name='model'>".list_models()."</select>
        </td>
      </tr>";
  // ask for a password after the first config
  $myFile = "../config/alea.php";
  if(is_file($myFile)){
    echo "
      <tr>
        <td>
          ".PASSWORD."<input type='password' name='password'>
        </td>
      </tr>";
  }
  echo "
      <tr>
        <td>
          <input type='submit' value='".NEXT."'>
        </td>
      </tr>
    </table>
  </form>";
?>
</body>
</html>
