<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

// Langue de l'application pour les jours de semaine et les mois MySQL
define("LANG", "en_GB.utf8");
setlocale(LC_ALL, LANG);

define("APPLICATION","Zzzt!");
define("NEEDJS","Statistics graphics need a Javascript enabled browser.");
define("ABOUT","About Zzzt!");
define("DESCRIPTION","<p>This is a monitor for the Solarmax inverters.
<p>We tried to make it as simple as possible, while useful.
<p><a href='https://zzzt.tuxfamily.org'>Knowing more about Zzzt!</a>.
");
define("SEL_INVERTER","Please select your inverter model");
define("NEXT","Continue");
define("PARAMETERS","Table 2");
define("FREQUENT_UPDATES","Table 1");
define("LAST_EVENTS","Last Events");
define("CONFIG_SAVED","The configuration was applied.");
define("LIVE_UPDATE","<p>Now I will try to retrieve all data from the inverter.
<p>This may take up to 30 seconds!");
define("LOADING","Loading...");
define("EFFICIENCY","Efficiency");
define("INVERTER","Inverter");
define("MONITOR","Monitor");
define("ONLINE","On Line");
define("OFFLINE","Off Line");

define("STATS","Statistics");
define("MOBILE","Smartphone");
define("STATS_NEED_DB","Statistics need a database!");
define("GRAPH_WIDTH","Graph Width");
define("DAY_PROD","Daily instant production");
define("BY_DAY","Production by Day");
define("FW_ERROR","Possible error in firmware");
define("BY_MONTH","Production by Month");
define("LAST_MEASURES","Last Measures");
define("AVG","Average");
define("D20_MN"," for last 20 minutes : ");

define("CONFIGURE","Configure");
define("PASSWORD","Configuration Password");
define("REPEAT","Repeat ");
define("HELPCONFIG","Here you can change the settings");
define("DB_CREATED","The database was created.");
define("DB_OK","The database could be accessed.");
define("DB_KO","The database could not be accessed.");
define("model","Model");
define("db_use","Use MySQL database");
define("db_database","Database Name");
define("db_host","Database Server Name");
define("db_user","Database User");
define("db_user_password","Database Password");
define("db_url","URL to database writes");
define("refresh","Refresh the values (seconds)");
define("ipaddress","IP Address");
define("serviceport","Service Port");
define("inverternumber","Inverter Number");
define("sendnumber","Send Number");
define("destnumber","Dest Number");
define("timeout","Connection Timeout (seconds)");

//translated strings
define("BDN","Firmware version");
define("CAC","Counter of activations");
define("PAC","Instant AC Power");
define("PIN","Installed DC Power");
define("UDC","DC Voltage Input");
define("IDC","DC Current Input");
define("DYR","Year");
define("DIN","Serial Number");
define("DMT","Month");
define("DDY","Day");
define("THR","Hour");
define("TMI","Minute");
define("KHR","Production time");
define("KHS","Power on time?");
define("KLY","Production last year");
define("KLM","Production last month");
define("KLD","Production last day");
define("KYR","Production this year");
define("KMT","Production this month");
define("KDY","Production today");
define("PAM","Max AC power");
define("PDC","DC power");
define("PWB","PWB");
define("PWM","PWM");
define("PWT","PWT");
define("SYS","System state");
define("TKK","Internal Temperature");
define("TL1","Temperature");
define("UGD","Ground Voltage");
define("UZK","DC booster Voltage");

define('ERROR_PASSWORD','ERROR : the two passwords indicated are different!');
define('ERROR_MBSTRING','ERROR : php-mbstring extension is needed!');
define('ERROR_GD','ERROR : php-gd extension is needed!');
define('ERROR_SOCKETS','ERROR : php-sockets extension is needed!');

define('0', 'Unavaliable');
define('20001', 'Working');
define('20002', 'Insuficient light');
define('20003', 'Starting');
define('20004', 'Working MPP');
define('20005', 'Fan activated');
define('20006', 'Working at Max Power');
define('20007', 'Temperature Limited');
define('20008', 'On Line');
define('20009', 'Courant DC limité');
define('20010', 'Courant AC limité');
define('20011', 'Mode test');
define('20012', 'Remote controlled');
define('20013', 'Started late');

define('20110', 'Tension cct interm. trop élevée');
define('20111', 'Surtension');
define('20112', 'Surcharge');
define('20114', 'Courant de fuite trop élevé');
define('20115', 'Pas de secteur');
define('20116', 'Fréq. secteur trop élevée');
define('20117', 'Fréq. secteur trop basse');
define('20118', 'Fonctionnement en îlot');
define('20119', 'Mauvaise qualité du secteur');
define('20122', 'Tension secteur trop élevée');
define('20123', 'Tension secteur trop basse');
define('20124', 'Overheat');
define('20125', 'Courant secteur dissym.');
define('20126', 'Erreur entrée ext. 1');
define('20127', 'Erreur entrée ext. 2');
define('20129', 'Sens de rotation incorrect');
define('20130', 'Bad inverter');
define('20131', 'Commut. général hors');
define('20132', 'Diode de surtempérature');
define('20134', 'Fan fault');

define('20173', 'No AC');
?>
