<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

// Langue de l'application pour les jours de semaine et les mois MySQL
define("LANG", "pt_PT.utf8");
setlocale(LC_ALL, LANG);

define("APPLICATION","Zzzt!");
define("NEEDJS","As estatísticas precisam de um navegador com Javascript.");
define("ABOUT","Acerca de Zzzt!");
define("DESCRIPTION","<p>Isto é um monitor para os inversores Solarmax.
<p>Nós tentamos manter-lo simples, mais completo.
<p><a href='https://zzzt.tuxfamily.org'>Saber mais acerca do Zzzt!</a>.
");
define("SEL_INVERTER","Por favor indique o seu modelo de inversor");
define("NEXT","Continuar");
define("PARAMETERS","Tabela 2");
define("FREQUENT_UPDATES","Tabela 1");
define("LAST_EVENTS","Últimos eventos");
define("CONFIG_SAVED","A configuração foi aplicada.");
define("LIVE_UPDATE","<p>Agora vamos tentar obter todas as informações do inversor.
<p>Pode durar até 30 segundos!");
define("LOADING","A carregar...");
define("EFFICIENCY","Rendimento");
define("INVERTER","Inversor");
define("MONITOR","Monitor");
define("ONLINE","Acessível");
define("OFFLINE","Inacessível");

define("STATS","Estatísticas");
define("MOBILE","Telemóvel");
define("STATS_NEED_DB","Estatísticas precisam de uma base de dados!");
define("GRAPH_WIDTH","Largura do gráfico");
define("DAY_PROD","Produção Instantânea d'um Dia");
define("BY_DAY","Produção por Dia");
define("FW_ERROR","Erro possível no micro-controlador");
define("BY_MONTH","Produção por Mês");
define("LAST_MEASURES","Últimas medidas");
define("AVG","Média");
define("D20_MN"," dos últimos 20 minutos : ");

define("CONFIGURE","Configurar");
define("PASSWORD","Senha de Configuração");
define("REPEAT","Repita a ");
define("HELPCONFIG","Aqui você pode mudar a configuração");
define("DB_CREATED","A base de dados foi criada.");
define("DB_OK","A base de dados pode ser acedida.");
define("DB_KO","A base de dados não pode ser acedida.");
define("model","Modelo");
define("db_use","Utilizar uma base de dados MySQL");
define("db_database","Database Name");
define("db_host","Database Server Name");
define("db_user","Database User");
define("db_user_password","Database Password");
define("db_url","URL to database writes");
define("refresh","Actualizar os valores (em segundos)");
define("ipaddress","Endereço IP");
define("serviceport","Porta Rede");
define("inverternumber","Número de Inversor");
define("sendnumber","Número de Expeditor");
define("destnumber","Número de Destinatário");
define("timeout","Tempo máximo de ligação (em segundos)");

define("BDN","Versão do Micro-código");
define("CAC","Contador de activações");
define("PAC","Potência AC");
define("PIN","Potência DC instalada");
define("UDC","Tensão em entrada");
define("IDC","Intensidade DC em entrada");
define("DYR","Ano");
define("DIN","Número de série");
define("DMT","Mês");
define("DDY","Dia");
define("THR","Hora");
define("TMI","Minuto");
define("KHR","Horas de produção");
define("KHS","Horas de funcionamento?");
define("KLY","Produção do ano passado");
define("KLM","Produção do mês anterior");
define("KLD","Produção de ontem");
define("KYR","Produção anual");
define("KMT","Produção mensal");
define("KDY","Produção do dia");
define("PAM","Potência AC máxima");
define("PDC","Potência DC");
define("PWB","PWB");
define("PWM","PWM");
define("PWT","PWT");
define("SYS","Estado do sistema");
define("TKK","Temperatura interna");
define("TL1","Temperatura");
define("UGD","Tensão terra");
define("UZK","Tensão booster DC");

define('ERROR_PASSWORD','ERRO : as duas senhas indicadas são diferentes!');
define('ERROR_MBSTRING','ERRO : a extensão php-mbstring é necessária!');
define('ERROR_GD','ERRO : a extensão php-gd é necessária!');
define('ERROR_SOCKETS','ERRO : a extensão php-sockets é necessária!');

define('0', 'Indisponível');
define('20001', 'Em serviço');
define('20002', 'Luz insuficiente');
define('20003', 'Arranque');
define('20004', 'Funcionamento MPP');
define('20005', 'Ventilador activado');
define('20006', 'Funcionamento Potência max');
define('20007', 'Limitação temperatura');
define('20008', 'No sector');
define('20009', 'Corrente DC limitada');
define('20010', 'Corrente AC limitada');
define('20011', 'Modo teste');
define('20012', 'Telecomandado');
define('20013', 'Atraso ao arranque');

define('20110', 'Tensão cct interm. demasiada');
define('20111', 'Sobretensão');
define('20112', 'Sobrecarga');
define('20114', 'Courant de fuite trop élevé');
define('20115', 'Pas de secteur');
define('20116', 'Fréq. secteur trop élevée');
define('20117', 'Fréq. secteur trop basse');
define('20118', 'Fonctionnement en îlot');
define('20119', 'Mauvaise qualité du secteur');
define('20122', 'Tension secteur trop élevée');
define('20123', 'Tension secteur trop basse');
define('20124', 'Temperatura demasiado elevada');
define('20125', 'Courant secteur dissym.');
define('20126', 'Erreur entrée ext. 1');
define('20127', 'Erreur entrée ext. 2');
define('20129', 'Sens de rotation incorrect');
define('20130', 'Faux type d\'appareil');
define('20131', 'Commut. général hors');
define('20132', 'Diode de surtempérature');
define('20134', 'Ventilador defeituoso');

define('20173', 'Corte AC');
?>
