<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  if(isset($error)) exit($error);
  session_start();// after the needed classes
  if(!isset($_SESSION['inverter'])) {$_SESSION['inverter']=new inverter();}
  
  $day = date('Y-m-d'); 
  htmlCommun($day);
?>

<BODY>

<?php
  echo '<h3>'.APPLICATION.'</h3>'.DESCRIPTION;
  if(is_file('../config/local_config.php')){
    echo '<form action="../inverter/monitor.php" method="POST">
            <input type="submit"value="'.MONITOR.' : '.$_SESSION['inverter']->config['model'].'">
          </form>';
    if($_SESSION['inverter']->config['db_use']){
      $db=new db($_SESSION['inverter']);
      if($db->db_attempt) {
          echo '<form action="../stats/index.php" method="POST">
                <input type="submit"value="'.STATS.' : '.$_SESSION['inverter']->config['model'].'">
              </form>';
      }
    }
    else echo STATS_NEED_DB.'<p>';
  }
?>
  <form action="../config/index.php" method="POST">
    <input type="submit" value="<?php echo CONFIGURE;?>">
  </form>
<img src="../images/gplv3-127x51.png" width="127" height="51">
</BODY>
</html>
