<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
$alea=mt_rand();
require '../config/alea.php';
if(!isset($_GET['alea']) || $_GET['alea']!=$alea)
  exit();
//This file is meant to be called by crontab_monitor.php to write to a database)
require '../inverter/class_inverter.php';
$inverter=new inverter();
$miss='';

if(!isset($_GET['monitor_date'])) $miss='monitor_date';
else foreach($inverter->crontab_monitor as $k => $v)
        if(!isset($_GET[$k])) $miss=$k;

if($miss=='') {
  $db=new db($inverter);
  if (isset($_ENV['REMOTE_ADDR']))
      $remAddr=$_ENV['REMOTE_ADDR'];
  else
      $remAddr="127.0.0.1";
  $sql="INSERT INTO zzzt
          ( `monitor_date`,`pac`,`pdc`,`kdy`,`tkk`,`monitor_ip` )
          VALUES ( FROM_UNIXTIME({$_GET['monitor_date']}),
                  '{$_GET['PAC']}',
                  '{$_GET['PDC']}',
                  '{$_GET['KDY']}',
                  '{$_GET['TKK']}',
                  '$remAddr' )";
  $db->query($sql);

  // writes yesterday production the first crontab of day, then fails
  $kld_date=$_GET['monitor_date']-(3600*24);
  $sql="INSERT INTO zzzt_daily
          VALUES ( FROM_UNIXTIME({$kld_date}),
                  '{$_GET[$inverter->last_day]}' )";
  $db->query($sql);

  // writes last month production the first crontab of month, then fails
  if( date('d') < 28 )  { // PHP has a bug with "last month" : on 31st of december, it says december 1st
    $klm_date=date('Y-m-01',strtotime('last month'));
    $sql="INSERT INTO zzzt_monthly
	    VALUES ( '{$klm_date}',
		    '{$_GET['KLM']}' )";
    $db->query($sql);
  }

  // writes last year production the first crontab of year, then fails
  $klm_date=date('Y-01-01',strtotime('last year'));
  $sql="INSERT INTO zzzt_yearly
          VALUES ( '{$klm_date}',
                  '{$_GET['KLY']}' )";
  $db->query($sql);
}
return $db->error;
?>
