<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $day=date('Y-m-d');

  $sql="SELECT YEAR(date) AS year, production
              FROM zzzt_daily
        WHERE DAY(date) = DAY('$day')
        AND MONTH(date) = MONTH('$day')
        ORDER BY year DESC";
  $db->query($sql);
  $ap='<h5>'.LAST_MEASURES.' '.strftime("%e %B", strtotime($day)).'</h5><ul>';
  while ($row = $db->fetch()) $ap.='<li>'.DYR.' '.$row['year'].' : <a href="index.php?day='.$row['year'].date('-m-d').'">'.$row['production'].' kWh</a></li>';
  $ap.='</ul>';

  // Average for last 20 minutes
  $db->query("SELECT MIN(kdy) FROM `zzzt` WHERE `monitor_date` BETWEEN SUBTIME(NOW(),'00:21:00') and SUBTIME(NOW(),'00:19:00')");
  list($kdy20)= $db->fetch();
  if ($kdy20 != NULL) {
    $db->query("SELECT kdy FROM `zzzt` ORDER BY monitor_date DESC LIMIT 0,1");
    list($kdynow)= $db->fetch();
    $ap.=AVG.D20_MN. ($kdynow-$kdy20)*3000 ." W";
  }
  echo $ap;
