<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $heure=array();
  $values=array();
  $champs=array('pac','pdc','kdy','tkk');
  isset($_GET['day']) ? $day=$_GET['day'] : $day=date('Y-m-d');
  htmlCommun($day);
?>

<body>
  <b><a href=../inverter/index.php><?php echo APPLICATION;?></a></b>
  <a href=daily.php><?php echo BY_DAY;?></a>
  <a href=monthly.php><?php echo BY_MONTH;?></a>
  <a href=yearly.php><?php echo KYR;?></a>
  <?php if (isset($_GET['day'])) echo '<a href=index.php>'.DAY_PROD.'</a>' ;else echo DAY_PROD; ?>
  
  <table>
    <tr>
      <TD>
        <form action=index.php method=get>
        <?php echo DDY;?> :
        <select name=day id=selectday>
          <?php
            $demain=date('Y-m-d', strtotime($day)+(3600*24) );
            $hier=date('Y-m-d', strtotime($day)-(3600*24) );

            for($i=0;$i<10;$i++){
              $d=date('Y-m-d', strtotime($day)-(3600*24*$i) );
              $d==$day ? $selected='selected' : $selected='';
              $bd=strftime("%e %b %G",strtotime($day)-(3600*24*$i));
              echo "<option value='$d' $selected >$bd</option>\n";
            }
          ?>
        </select>
        <input type=submit>
        </form>
      </td>
      <TD>
        <a href="index.php?day=<?php echo $hier;?>">¤-1</a> / 
        <a href="index.php?day=<?php echo $demain;?>">¤+1</a>
      </TD>
    </tr>
    <tr>
      <TD colspan=2>
        <script type="text/javascript">
          document.write("<div id=\"holderP\"></div>");
          document.write("<div id=\"holderR\"></div>");
        </script>
        <noscript><?php echo NEEDJS;?></noscript>
      </TD>
    </tr>
    <tr>
      <TD>
	<a id='ap'>...</a>
        <div id='etat' title='<?php echo LAST_MEASURES;?>'>
          <div id='last' title=''><?php echo LOADING;?></div>
          <progress id='temps' max='60' value='0'></progress>
	</div>
      </td>
      <td>
      </td>
    </tr>
  </table>
  
  </body>
  
<script type="text/javascript" charset="utf-8">
 var tabP = [
  ];
        
 var chartP = Morris.Area({
        element: 'holderP',
        lineColors: ['#006600','#FF3300','#006699'],
        pointSize: 0,
        smooth: false,
        behaveLikeLine: true,
        fillOpacity: 0.5,
        hideHover: 'auto',
        lineWidth: 1,
        data: tabP,
        resize: true,
        redraw: true,
        xkey: 'h',
        ykeys: ['k','a','d'],
        labels: ['<?php echo KDY;?> (daWh)','<?php echo PAC;?> (W)','<?php echo PDC;?> (W)'] });

 var tabR = [
  ];
  
 var chartR = Morris.Line({
          element: 'holderR',
          lineColors: ['#1751A7','#006600'],
          pointSize: 0,
          hideHover: 'auto',
          lineWidth: 1,
          data: tabR,
          resize: true,
          redraw: true,
          xkey: 'h',
          ykeys: ['r','t'],
          labels: ['<?php echo EFFICIENCY;?>','<?php echo TKK;?>'] });

  if (typeof tabP[0] !== 'undefined') {
    document.getElementById("last").innerHTML = 
      tabP[tabP.length-1]['h'].substr(-5,5)+' ' +
      tabP[tabP.length-1]['a']+'W ' +
      tabP[tabP.length-1]['k']/100+'kWh';
  }
 
</script>
  
<script src="update.js" type="text/javascript"></script>
  
</html>
