/*    This file is part of Zzzt!.
    Copyright (C) 2009-2015  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

function majP(maintenant) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState == 4 && xhttp.status == 200) {
      var reponse = JSON.parse(xhttp.responseText);
      tabP.push.apply(tabP, reponse);
      chartP.setData(tabP);
    document.getElementById("last").innerHTML = 
      tabP[tabP.length-1]['h'].substr(-5,5)+' ' +
      tabP[tabP.length-1]['a']+'W ' +
      tabP[tabP.length-1]['k']/100+'kWh';
    }
  }
  xhttp.open("GET", "updateP.php?datetime="+maintenant, true);
  xhttp.send();
}

function majR(maintenant) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState == 4 && xhttp.status == 200) {
      var reponseR = JSON.parse(xhttp.responseText);
      tabR.push.apply(tabR, reponseR);
      chartR.setData(tabR);
    }
  }
  xhttp.open("GET", "updateR.php?datetime="+maintenant, true);
  xhttp.send();
}

function maj() {
  if (typeof tabP[tabP.length-1] == 'undefined') {
    var maintenant = document.getElementById("selectday").value+' 00:00';
  } else {
    var maintenant=encodeURIComponent(tabP[tabP.length-1]['h']);
  }
  console.log('maintenant : '+maintenant);
  majP(maintenant);
  majR(maintenant);
}

function majAp() {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState == 4 && xhttp.status == 200) {
      document.getElementById("ap").innerHTML = xhttp.responseText;
    }
  }
  xhttp.open("GET", "ap.php", true);
  xhttp.send();
}

maj();
majAp();

if (document.getElementById("selectday").value == (new Date()).toJSON().substr(0, 10) ) {
	setInterval(function(){
	  document.getElementById("temps").value++;
	  if ( document.getElementById("temps").value == 60 ) {
	    maj();
	    document.getElementById("temps").value=0;
	  }	
	}, 1000)
};

