<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2019  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  if(!isset($_GET['year'])) $_GET['year']=date('Y');
  $year=$mois=$annees=$values=array();
  htmlCommun(KYR);
?>

<body>
  <b><a href=../inverter/index.php><?php echo APPLICATION;?></a></b>
  <a href=daily.php><?php echo BY_DAY;?></a>
  <a href=monthly.php><?php echo BY_MONTH;?></a>
  <?php echo KYR;?>
  <a href=index.php><?php echo DAY_PROD;?></a>

  <?php
  $sql="SELECT DATE_FORMAT(date,'%Y') AS year,production FROM zzzt_yearly
	  UNION SELECT DATE_FORMAT(date,'%Y') AS year,production FROM zzzt_yearcurrent ORDER BY year ASC";
  $db->query($sql);
  while ($row = $db->fetch()) $values[$row['year']]['production']=$row['production'];
  $sql="SELECT YEAR(date) AS year, SUM(production) AS partiel FROM zzzt_daily
	  WHERE DAYOFYEAR(date) < DAYOFYEAR(NOW())
	  GROUP BY YEAR(date)";
  $db->query($sql);
  while ($row = $db->fetch()) $values[$row['year']]['partiel']=$row['partiel'];
?>

  <script type="text/javascript" charset="utf-8">
    document.write("<div id=\"holder\"></div>");

    new Morris.Area({element: 'holder',
                 lineColors: ['#<?php echo $db->rnd_color(); ?>',
                              '#<?php echo $db->rnd_color(); ?>'], 
                  hoverCallback: function (index, options, content) {
                                      var row = options.data[index];
                                      var urld = '<a href=monthly.php?year=' + row.a + ">" + row.a + "</a>";
                                      var label = content.replace(row.a,urld);
                                      return label ;
                                    },
                  continuousLine: false,
                  fillOpacity: 0.5,
                  postUnits: 'kWh',
                  behaveLikeLine: true,
                  parseTime: false,
                  hideHover: 'auto',
                  resize: true,
                  redraw: true,
                  data: [
                    <?php
                        $tableau='';
                        foreach($values as $k => $v) {
				// le 2 janvier partiel est non déclaré
				if( !isset($v['partiel']) ) $v['partiel']=0;      
				$partiel = str_replace(',','.',$v['partiel'] + 0);//pour la première année, on n'a pas tous les jours, et on veut des points en JS
                        	$tableau .= "{ a: '$k', 'y': {$v['production']}, 'z': $partiel },";
                        }
                        echo substr($tableau,0,-1);
                    ?>
                    ], xkey: 'a', ykeys: ['y', 'z'], labels: [ '<?php echo KYR;?>', '<?php echo DDY.' '.date('z');?>'] });

  </script>
  <noscript><?php echo NEEDJS;?></noscript>

</body>
</html>
